Subject: Re: linux-next: Tree for Feb 4

From: "Paul E. McKenney" <[email-masked]>
Date: Thu, 5 Feb 2015 10:45:37 -0800

On Thu, Feb 05, 2015 at 10:35:33AM -0800, Dave Hansen wrote:
> On 02/05/2015 10:34 AM, Paul E. McKenney wrote:
> >> >                               Did I actually need to be
> >> > onlining/offlining CPUs to hit the splat that Sedat was reporting?
> > Yep, you do need to offline at least one CPU to hit that splat.
> 
> Heh, do we need a debugging mode that will randomly offline/online CPUs? :)

For that, kernel/rcu/rcutorture.c and kernel/locking/locktorture.c
are your friends.  ;-)

The problem is that I only run RCU-relevant combinations of Kconfigs,
which means that I missed the ones that Sedat used to find this problem.
So I guess it is a good thing that others run -next testing.

							Thanx, Paul